﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using WebSocketSharp.Server;
using WSCF.RevCtrl.Test.IService;

namespace WSCF.RevCtrl.Test.Server
{
    public class WsProxy
    {
        public WebSocketServer wssv;
        public WsProxy(string addr, Chat chat) 
        {
            wssv = new WebSocketServer($"ws://{addr}/");

            wssv.AddWebSocketService<RevCtrl_Proxy>("/Chat", (wsproxy) => wsproxy.Init(typeof(IChatService), chat));

            //如果有多个服务，就继续 wssv.AddWebSocketService<Reflect_Proxy>
            this.wssv.Start();
        }
    }
}
