﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WSCF.RevCtrl.Test.IService
{
    public interface ICustomerService : INotifyPropertyChanged
    {
        /// <summary>
        /// 用户名称
        /// </summary>
        string Name { get; }



        /// <summary>
        /// 服务器把某人的私聊发给用户
        /// </summary>
        /// <param name="srcGuid">某人的全局唯一ID</param>
        /// <param name="srcName">某人名字</param>
        /// <param name="time">消息的时间</param>
        /// <param name="msg">消息</param>
        void SendMsgToPrivateChat(string srcGuid, string srcName, DateTime time, string msg);
    }
}
