﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using WebSocketSharp.Server;
using WSCF.Test.IService;

namespace WSCF.Test.Server.WsProxy
{
    public class WsProxy
    {
        public WebSocketServer wssv;
        public WsProxy(string addr, Foo foo) 
        {
            wssv = new WebSocketServer($"ws://{addr}/");

            wssv.AddWebSocketService<Reflect_Proxy>("/Foo", (wsproxy) => wsproxy.Init(typeof(IFooService), foo));

            //wssv.AddWebSocketService<Reflect_Proxy>("/Foo", (wsproxy) =>
            //{
            //    wsproxy.AfterOpen = (proxy) =>
            //    {
            //        //分解 路径
            //        string path = proxy.Context.RequestUri.PathAndQuery;
            //        //TODO
            //        proxy.Init(typeof(IFooService), foo);
            //    };
            //});


            //如果有多个服务，就继续 wssv.AddWebSocketService<Reflect_Proxy>
            this.wssv.Start();
        }
    }
}
