﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WSCF.RevCtrl
{
    /// <summary>
    /// 连接管理者, 当连接产生,断开时，通知
    /// </summary>
    public interface IRevCtrlAdmin
    {
        /// <summary>
        /// 连接建立
        /// </summary>
        /// <param name="proxy"></param>
        void OnOpen(RevCtrl_Proxy proxy);

        /// <summary>
        /// 连接关闭
        /// </summary>
        /// <param name="proxy"></param>
        void OnClose(RevCtrl_Proxy proxy);

        /// <summary>
        /// 连接释放
        /// </summary>
        /// <param name="proxy"></param>
        void OnDispose(RevCtrl_Proxy proxy);
    }
}
